# VecSetValue

Set a single entry into a vector.

### Synopsis

    PetscErrorCode VecSetValue(Vec v,int row,PetscScalar value, InsertMode mode);

Not Collective

### Input Parameters

| v | - the vector
| row | - the row location of the entry
| value | - the value to insert
| mode | - either INSERT_VALUES or ADD_VALUES

### Notes

For efficiency one should use VecSetValues() and set several or many values simultaneously if possible.

These values may be cached, so VecAssemblyBegin() and VecAssemblyEnd() MUST be called after all calls to VecSetValues() have been completed.

VecSetValues() uses 0-based indices in Fortran as well as in C.

### See Also

VecSetValues(), VecAssemblyBegin(), VecAssemblyEnd(), VecSetValuesBlockedLocal(), VecSetValueLocal()

Level:beginner
Location: src/vec/vec/../../../include/petscvec.h
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html
src/snes/examples/tutorials/ex30.c.html